package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazUiMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazUi;
import com.goldenwater.slaj.hazard.service.ITBusiHazUiService;

/**
 * 危险源UI统计 服务层实现
 */
@Service
public class TBusiHazUiServiceImpl implements ITBusiHazUiService {

    @Autowired
    private TBusiHazUiMapper tBusiHazUiMapper;

    /**
     * 查询危险源UI统计信息
     * @param guid 查询条件
     * @return 危险源UI统计信息
     */
    @Override
    public TBusiHazUi selectTBusiHazUiByGuid(String guid) {
        return tBusiHazUiMapper.selectTBusiHazUiByGuid(guid);
    }

    /**
     * 查询危险源UI统计列表
     * @param tBusiHazUi 危险源UI统计查询条件
     * @return 危险源UI统计集合
     */
    @Override
    public List<TBusiHazUi> selectTBusiHazUiList(TBusiHazUi tBusiHazUi) {
        return tBusiHazUiMapper.selectTBusiHazUiList(tBusiHazUi);
    }

    /**
     * 新增危险源UI统计
     * @param tBusiHazUi 危险源UI统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazUi(TBusiHazUi tBusiHazUi) {
        return tBusiHazUiMapper.insertTBusiHazUi(tBusiHazUi);
    }

    /**
     * 修改危险源UI统计
     * @param tBusiHazUi 危险源UI统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazUi(TBusiHazUi tBusiHazUi) {
        return tBusiHazUiMapper.updateTBusiHazUi(tBusiHazUi);
    }

    /**
     * 删除危险源UI统计
     * @param guid 危险源UI统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazUiByGuid(String guid) {
        return tBusiHazUiMapper.deleteTBusiHazUiByGuid(guid);
    }

    /**
     * 批量删除危险源UI统计
     * @param guids 危险源UI统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazUiByGuids(String[] guids) {
        return tBusiHazUiMapper.deleteTBusiHazUiByGuids(guids);
    }
}
